Std Placement/ko: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Emphasis|참조:}} FreeCAD 스크립트 기초.")
(Created page with "파이썬 스크립트 자습서를 참조하십시오.")
Line 45: Line 45:
{{Emphasis|참조:}} [[FreeCAD_Scripting_Basics/ko|FreeCAD 스크립트 기초]].
{{Emphasis|참조:}} [[FreeCAD_Scripting_Basics/ko|FreeCAD 스크립트 기초]].


See the [[Python_scripting_tutorial#Vectors_and_placements|Python scripting tutorial]].
[[Python_scripting_tutorial/ko#벡터_및_배치|파이썬 스크립트 자습서]]를 참조하십시오.


A placement is internally defined by a matrix; in many cases it is simpler to represent it by means of two components, a {{incode|Base}} point (vector), and a {{incode|Rotation}} value. The {{incode|Rotation}} itself has different representations; it can be entirely defined by the value of a "[https://en.wikipedia.org/wiki/Quaternion quaternion]" {{incode|(xi + yj + zk + w)}}, but it can also be described by a rotation {{incode|Axis}} (unit vector) and a rotation {{incode|Angle}} (radians).
A placement is internally defined by a matrix; in many cases it is simpler to represent it by means of two components, a {{incode|Base}} point (vector), and a {{incode|Rotation}} value. The {{incode|Rotation}} itself has different representations; it can be entirely defined by the value of a "[https://en.wikipedia.org/wiki/Quaternion quaternion]" {{incode|(xi + yj + zk + w)}}, but it can also be described by a rotation {{incode|Axis}} (unit vector) and a rotation {{incode|Angle}} (radians).

Revision as of 06:11, 1 January 2021

Std Placement

메뉴 위치
편집 → 배치...
작업대
모두
기본 단축키
없음
도입 버전
-
참조
표준 정렬, 배치 작업, 배치

설명

표준 배치(Std Placement) 명령은 선택한 개체의 배치 작업 패널을 표시합니다.

배치 작업 패널

용법

  1. 속성 편집기데이터Placement 속성이 있는 단일 개체를 선택합니다.
  2. 메뉴에서 편집 → 배치... 옵션을 선택합니다.
  3. 이동 과 회전 파라미터를 변경합니다.
  4. 다음 중 하나를 수행합니다:
    • 변경 사항을 적용하고 작업 패널을 닫으려면 확인 버튼을 누르십시오.
    • 변경 사항을 적용하되 추가 변경을 위해 작업 패널을 열어두려면 적용 버튼을 누르십시오.
  5. 작업을 중지하려면 Esc 키나 취소 버튼을 누르십시오. 적용하지 않은 변경 사항은 모두 실행 취소됩니다.

이 대화 상자는 속성 편집기데이터Placement 속성을 클릭했을 때 바로 옆에 나오는 생략 부호 버튼 ...을 눌러 열 수도 있습니다.

비고

스크립트

참조: FreeCAD 스크립트 기초.

파이썬 스크립트 자습서를 참조하십시오.

A placement is internally defined by a matrix; in many cases it is simpler to represent it by means of two components, a Base point (vector), and a Rotation value. The Rotation itself has different representations; it can be entirely defined by the value of a "quaternion" (xi + yj + zk + w), but it can also be described by a rotation Axis (unit vector) and a rotation Angle (radians).

import FreeCAD as App

doc = App.newDocument()
obj = doc.addObject("Part::Cylinder", "Cylinder")

print(obj.Placement)
# Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,0,0)]
print(obj.Placement.Base)
# Vector (0.0, 0.0, 0.0)
print(obj.Placement.Rotation)
# Rotation (0.0, 0.0, 0.0, 1.0)

print(obj.Placement.Rotation.Angle)
# 0.0
print(obj.Placement.Rotation.Axis)
# Vector (0.0, 0.0, 1.0)
print(obj.Placement.Rotation.Q)
# (0.0, 0.0, 0.0, 1.0)

Move the base point of the object, then rotate the object 45 degrees around the X axis.

import math

obj.Placement.Base = App.Vector(5, 3, 1)
obj.Placement.Rotation.Axis = App.Vector(1, 0, 0)
obj.Placement.Rotation.Angle = math.radians(45)

print(obj.Placement)
# Placement [Pos=(5,3,1), Yaw-Pitch-Roll=(0,0,45)]
print(obj.Placement.Rotation.Q)
# (0.3826834323650898, 0.0, 0.0, 0.9238795325112867)
print(obj.Placement.Matrix)
# Matrix ((1,0,0,5),(0,0.707107,-0.707107,3),(0,0.707107,0.707107,1),(0,0,0,1))